//---------------------------------------------------------------------------
//
// Evj        Model the evolution of DNA binding site recognition
//
// Module:    NexusObserver, an interface for classes that receive nexuses.
// Author:    Paul C. Anagnostopoulos
// Created:   1 April 2005
//
// This computer program fits the description in the U.S. Copyright Act
// of a "United States Government work." It was written as a part of
// my/our official duties as a Government employee. This means it cannot
// be copyrighted. The program is freely available for use without a
// copyright notice, and there are no restrictions on its use, now or
// subsequently. We retain no rights in the program. Please acknowledge
// the source of this code in any releases you make.
//
//---------------------------------------------------------------------------


// A nexus observer is a class that can receive a nexus from the
// simulator. Such a class must implement the acceptNexus method.

public interface NexusObserver
{
  public void acceptNexus (Nexus nexus);
}
